use arduino_hal::{hal::port::*, pac::*};

use crate::{impl_static_pin, impl_static_pins};

pub trait StaticPin {
    type Port;
    const PIN_NUM: u8;

    fn write(data: u8);
    fn read() -> u8;
}

impl_static_pins!(
    PB0, PB1, PB2, PB3, PB4, PB5, PB6, PB7, PC6, PC7, PD0, PD1, PD2, PD3, PD4, PD5, PD6, PD7, PE2,
    PE6, PF0, PF1, PF4, PF5, PF6, PF7
);
